Package com.smartgwt.client.types

# Enum FormLayoutType

java.lang.Object
java.lang.Enum<FormLayoutType>
com.smartgwt.client.types.FormLayoutType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<FormLayoutType>`, `Constable`

public enum FormLayoutType extends Enum<FormLayoutType> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABSOLUTE`
  Allow absolute positioning of every form item.
  `TABLE`
  Use a tabular layout similar to HTML tables, but with much more powerful control over sizing, item visibility and reflow, overflow handling, etc.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static FormLayoutType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FormLayoutType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TABLE

    public static final FormLayoutType TABLE
    Use a tabular layout similar to HTML tables, but with much more powerful control over sizing, item visibility and reflow, overflow handling, etc.

  - ### ABSOLUTE

    public static final FormLayoutType ABSOLUTE

    Allow absolute positioning of every form item. This provides maximum flexibility in placement, with the following limitations:

    .

    - titles, which normally take up an adjacent cell, are not shown. Use StaticTextItems to show titles
    - no automatic reflow when showing or hiding items. FormItem.setLeft() and FormItem.setTop() can be used for manual reflow.
    - only pixel and percent sizes are allowed, no "*". Percent widths mean percentage of the overall form size rather than the column size
    - with different font styling or internationalized titles, items may overlap that did not overlap in the skin used at design time

- ## Method Details

  - ### values

    public static FormLayoutType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FormLayoutType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`